Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Update Product

PATCH/api/v1/products/{product_id}
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
product_idstringrequired
Request body
requiredapplication/json
namestring | any
Show properties
Any of:
string
string
any
any
analytics_keystring | any
Show properties
Any of:
string
string
any
any
dictionariesobject | any
Show properties
Any of:
object
object
any
any
subtopics_by_topicobject | any
Show properties
Any of:
object
object
any
any
Responses
200Successful Response
successboolean
default: true
dataProduct | any
Show properties
Any of:
Product
idstringrequired
schema_versioninteger
default: 1
namestringrequired
analytics_keystring | any
Show properties
Any of:
string
string
any
any
dictionariesobject
subtopics_by_topicobject
created_atstring<date-time>
updated_atstring<date-time>
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PATCH "/api/v1/products/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "analytics_key": "string",
  "dictionaries": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "subtopics_by_topic": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "schema_version": 1,
    "name": "string",
    "analytics_key": "string",
    "dictionaries": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "subtopics_by_topic": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}